% This file was automatically created from the m-file 
% "m2tex.m" written by USL. 
% The fontencoding in this file is UTF-8. 
%  
% You will need to include the following two packages in 
% your LaTeX-Main-File. 
%  
% \usepackage{color} 
% \usepackage{fancyvrb} 
%  
% It is advised to use the following option for Inputenc 
% \usepackage[utf8]{inputenc} 
%  
  
% definition of matlab colors: 
\definecolor{mblue}{rgb}{0,0,1} 
\definecolor{mgreen}{rgb}{0.13333,0.5451,0.13333} 
\definecolor{mred}{rgb}{0.62745,0.12549,0.94118} 
\definecolor{mgrey}{rgb}{0.5,0.5,0.5} 
\definecolor{mdarkgrey}{rgb}{0.25,0.25,0.25} 
  
\DefineShortVerb[fontfamily=courier,fontseries=m]{\$} 
\DefineShortVerb[fontfamily=courier,fontseries=b]{\#} 
  
\noindent               \hspace*{-1.6em}{\scriptsize 1}$  $\color{mblue}$function$\color{black}$ dx = tank6Eq(t,x,u)$\\ \hspace*{-1.6em}{\scriptsize 2}$  $\\ \hspace*{-1.6em}{\scriptsize 3}$  $\color{mgreen}$%parameters$\color{black}$$\\ \hspace*{-1.6em}{\scriptsize 4}$  k = 0.015;$\\ \hspace*{-1.6em}{\scriptsize 5}$  k2 = 0.01;$\\ \hspace*{-1.6em}{\scriptsize 6}$  g = 9.81; $\\ \hspace*{-1.6em}{\scriptsize 7}$  $\\ \hspace*{-1.6em}{\scriptsize 8}$  $\color{mgreen}$%differential equations$\color{black}$$\\ \hspace*{-1.6em}{\scriptsize 9}$  dx(1,1)=u(1)+0.1+k2*(4-x(6))-k*sqrt(2*g)*sqrt(x(1)); $\color{mgreen}$%tank 1$\color{black}$$\\ \hspace*{-2em}{\scriptsize 10}$  dx(2,1)=k*sqrt(2*g)*(sqrt(x(1))-sqrt(x(2))); $\color{mgreen}$%tank 2$\color{black}$$\\ \hspace*{-2em}{\scriptsize 11}$  dx(3,1)=k*sqrt(2*g)*(sqrt(x(2))-sqrt(x(3))); $\color{mgreen}$%tank 3$\color{black}$$\\ \hspace*{-2em}{\scriptsize 12}$  dx(4,1)=k*sqrt(2*g)*(sqrt(x(3))-sqrt(x(4))); $\color{mgreen}$%tank 4$\color{black}$$\\ \hspace*{-2em}{\scriptsize 13}$  dx(5,1)=k*sqrt(2*g)*(sqrt(x(4))-sqrt(x(5))); $\color{mgreen}$%tank 5$\color{black}$$\\ \hspace*{-2em}{\scriptsize 14}$  dx(6,1)=k*sqrt(2*g)*(sqrt(x(5))-sqrt(x(6))); $\color{mgreen}$%tank 6$\color{black}$$\\ 
  
\UndefineShortVerb{\$} 
\UndefineShortVerb{\#}